# Creating Forms

Creating an HTML form to submit data with MVC in Umbraco is possible in a few steps.

If you want to create a Form:

1. Using view models, views, controllers, and a handy HtmlHelper extension method called BeginUmbracoForm, see the [Creating Forms](/umbraco-cms/fundamentals/code/creating-forms.md) article.
2. Using Umbraco Forms, see the [Umbraco Forms Documentation](https://docs.umbraco.com/umbraco-forms/) article.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
